Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.file
Class FileMessageRequester

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageRequester
              org.mule.transport.file.FileMessageRequester

All Implemented Interfaces:
  Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, Connectable, MessageRequester, MessageRequesting

    public class FileMessageRequester

extends AbstractMessageRequester

`FileMessageRequester` is used to read/write files to the filesystem

Field Summary

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connecting, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Constructor Summary
`FileMessageRequester(InboundEndpoint endpoint)`

Method Summary
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected MuleMessage` | `doRequest(long timeout)` Will attempt to do a receive from a directory, if the endpointUri resolves to a file name the file will be returned, otherwise the first file in the directory according to the filename filter configured on the connector.
`Object` | `getDelegateSession()` There is no associated session for a file connector
`protected String` | `getMoveDirectory()`
`protected String` | `getMoveToPattern()`

Methods inherited from class org.mule.transport.AbstractMessageRequester
`applyInboundTransformers, createLifecycleManager, getEndpoint, getRequesterName, getWorkManager, initialise, request`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, doStart, doStop, getConnectEventId, getConnectionDescription, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, toString, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageRequester
`activate, createMuleMessage, createMuleMessage, getConnector, passivate, validate`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.lifecycle.LifecycleStateEnabled
`getLifecycleState`

Constructor Detail

### FileMessageRequester

    public FileMessageRequester(InboundEndpoint endpoint)
                         throws MuleException

Throws:
  `MuleException`

Method Detail

### getDelegateSession

    public Object getDelegateSession()
                              throws MuleException

  There is no associated session for a file connector

  Throws:
    `MuleException`

### doRequest

    protected MuleMessage doRequest(long timeout)
                             throws Exception

  Will attempt to do a receive from a directory, if the endpointUri resolves to a file name the file will be returned, otherwise the first file in the directory according to the filename filter configured on the connector.

  Specified by:
    `doRequest` in class `AbstractMessageRequester`
  Parameters:
    `timeout` - this is ignored when doing a receive on this dispatcher
  Returns:
    a message containing file contents or null if there was notthing to receive
  Throws:
    `Exception`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### getMoveDirectory

    protected String getMoveDirectory()

### getMoveToPattern

    protected String getMoveToPattern()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.